- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# float32Channel Class Reference

This reference page is linked to from the following overview topics: Images.

Search for all occurrences

## Detailed Description

Definition at line 178 of file image.h.

`#include <image.h>`

List of all members.

## Public Member Functions
| float32Channel (const float32Channel &d)
| float32Channel (const float16Channel &d)
| float32Channel (const uInt16Channel &d)
| float32Channel (const uInt8Channel &d)
| float32Channel (float d)
| float32Channel ()
float32Channel & | operator= (const float32Channel &d)
float32Channel & | operator= (const float16Channel &d)
float32Channel & | operator= (const uInt16Channel &d)
float32Channel & | operator= (float d)
float32Channel & | operator= (const uInt8Channel &d)
| operator float () const
| operator half_ () const
| operator uInt16 () const
| operator uInt8 () const

## Constructor & Destructor Documentation

float32Channel | ( | const float32Channel & | d | ) | `[inline]`

Definition at line 183 of file image.h.

    { m_data = float(d); }

float32Channel | ( | const float16Channel & | d | ) | `[inline]`

Definition at line 346 of file image.h.

    { m_data = float(d); }

float32Channel | ( | const uInt16Channel & | d | ) | `[inline]`

Definition at line 185 of file image.h.

    { m_data = float(d); }

float32Channel | ( | const uInt8Channel & | d | ) | `[inline]`

Definition at line 186 of file image.h.

    { m_data = float(d); }

float32Channel | ( | float | d | ) | `[inline]`

Definition at line 187 of file image.h.

    { m_data = (d); }

float32Channel | ( |  | ) | `[inline]`

Definition at line 188 of file image.h.

    {}

## Member Function Documentation

float32Channel& operator= | ( | const float32Channel & | d | ) | `[inline]`

Definition at line 190 of file image.h.

        {
            *(float *)this = *(float *)&d;
            return *this;
        }

float32Channel& operator= | ( | const float16Channel & | d | ) | `[inline]`

Definition at line 196 of file image.h.

        {
            *this = float32Channel(d);
            return *this;
        }

float32Channel& operator= | ( | const uInt16Channel & | d | ) | `[inline]`

Definition at line 202 of file image.h.

        {
            *this = float32Channel(d);
            return *this;
        }

float32Channel& operator= | ( | float | d | ) | `[inline]`

Definition at line 208 of file image.h.

        {
            *this = float32Channel(d);
            return *this;
        }

float32Channel& operator= | ( | const uInt8Channel & | d | ) | `[inline]`

Definition at line 214 of file image.h.

        {
            *this = float32Channel(d);
            return *this;
        }

operator float | ( |  | ) | const `[inline]`

Definition at line 220 of file image.h.

    { return m_data; }

operator half_ | ( |  | ) | const `[inline]`

Definition at line 221 of file image.h.

    { return half_(m_data); }

operator uInt16 | ( |  | ) | const `[inline]`

Definition at line 222 of file image.h.

            {
                if (m_data < 0.0f) return 0;
                if (m_data > 1.0f) return 65535;
                return uInt16(m_data * 65535.0f);
            }

operator uInt8 | ( |  | ) | const `[inline]`

Definition at line 228 of file image.h.

            {
                if (m_data < 0.0f) return 0;
                if (m_data > 1.0f) return 255;
                return uInt8(m_data * 255.0f);
            }

The documentation for this class was generated from the following file:

- Mudbox/image.h

float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel
float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel float32Channel